package com.hungraim.ltc.pojo.vo.governance;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hungraim.ltc.pojo.entity.PageInfo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 服务计划列表VO
 */
@Data
public class SrvTaskVO extends PageInfo implements Serializable {
    /**
     * 服务计划id
     */
    private Integer srvTaskId;
    /**
     * 服务方案id
     */
    private Integer programId;
    /**
     * 失能人员id
     */
    private Integer disabInfoId;
    /**
     * 所在省市
     */
    private String districtProvincial;
    private String districtCity;
    private String districtArea;
    /**
     * 失能人员姓名
     */
    private String realName;
    /**
     * 手机号码
     */
    private String tel;
    /**
     * 年龄
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;
    /**
     * 性别
     */
    private String gender;
    /**
     * 诊断疾病
     */
    private String disease;
    /**
     * 失能等级
     */
    private String disableLevelName;
    /**
     * 接受服务地址
     */
    private String acptSrvProvincial;
    private String acptSrvCity;
    private String acptSrvArea;
    private String acptSrvStreet;
    /**
     * 评定等级
     */
    private String evaluateRatingType;
    /**
     * 评定完成日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date evaluateRafinishTimetingType;
    /**
     * 服务方式
     */
    private String srvModeName;
    /**
     * 护理机构名称
     */
    private String srvOrganName;
    /**
     * 护理服务人员
     */
    private String empName;
    /**
     * 任务时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date effTime;
    /**
     * 任务状态(服务计划状态)
     */
    private String status;
    /**
     * 服务方案状态
     */
    private String progStatus;
    /**
     * 服务方案起始日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date srvStartTime;
    /**
     * 服务方案终止日
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date srvEndTime;
}
